import {Component, Input} from '@angular/core';

@Component({
  selector: 'pages-menu-item',
  templateUrl: 'pages-menu-item.component.html',
  styleUrls: ['pages-menu-item.component.scss', '../pages-menu.component.scss']
})
export class PagesMenuItemComponent {
  @Input() item: any;
  @Input() level: number;

  constructor() {
  }

  get children() {
    return this.item.children?.data;
  }

  ngOnInit(){
  }

}
